<?php

namespace Styles\ThemeStyle;

use DB;
use Illuminate\Database\Seeder;

class StylesTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('styles')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'theme-style.styles.view',
                'name'      => 'View Styles',
            ],
            [
                'slug'      => 'theme-style.styles.create',
                'name'      => 'Create Styles',
            ],
            [
                'slug'      => 'theme-style.styles.edit',
                'name'      => 'Update Styles',
            ],
            [
                'slug'      => 'theme-style.styles.delete',
                'name'      => 'Delete Styles',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/theme-style/styles',
                'name'        => 'Styles',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/theme-style/styles',
                'name'        => 'Styles',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'styles',
                'name'        => 'Styles',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'ThemeStyle',
                'module'    => 'Styles',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'theme-style.styles.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
