<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for styles in theme-style package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  styles module in theme-style package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Styles',
    'names'         => 'Styles',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Styles',
        'sub'   => 'Styles',
        'list'  => 'List of styles',
        'edit'  => 'Edit styles',
        'create'    => 'Create new styles'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'css'                        => '',
        'style_name'                 => 'Jouw thema naam',
        'color_1'                    => 'Kleur 1',
        'color_2'                    => 'kleur 2',
        'color_3'                    => 'kleur 3',
        'logo_header'                => 'Logo header',
        'logo_footer'                => 'Logo Footer',
        'slider_image'               => 'Slider image',
        'user_id'                    => '',
        'user_type'                  => '',
        'slug'                       => '',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'css'                        => '',
        'style_name'                 => 'Thema',
        'color_1'                    => 'Kleur 1',
        'color_2'                    => 'kleur 2',
        'color_3'                    => 'kleur 3',
        'logo_header'                => 'Logo header',
        'logo_footer'                => 'Logo Footer',
        'slider_image'               => 'Slider image',
        'user_id'                    => '',
        'user_type'                  => '',
        'slug'                       => '',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'style_name'                 => ['name' => 'Thema', 'data-column' => 1, 'checked'],
        'color_1'                    => ['name' => 'Kleur 1', 'data-column' => 2, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Styles',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
