<?php

namespace Styles\ThemeStyle\Repositories\Eloquent;

use Styles\ThemeStyle\Interfaces\StylesRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class StylesRepository extends BaseRepository implements StylesRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('styles.theme-style.styles.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('styles.theme-style.styles.model.model');
    }
}
