    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#styles" data-toggle="tab">{!! trans('theme-style::styles.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#theme-style-styles-edit'  data-load-to='#theme-style-styles-entry' data-datatable='#theme-style-styles-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#theme-style-styles-entry' data-href='{{guard_url('theme-style/styles')}}/{{$styles->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('theme-style-styles-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('theme-style/styles/'. $styles->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="styles">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('theme-style::styles.name') !!} [{!!$styles->name!!}] </div>
                @include('theme-style::admin.styles.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>