<?php

// web routes  for styles
Route::prefix('{guard}/theme-style')->group(function () {
    Route::resource('styles', 'StylesResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'StylesResourceController');
            });
            // Public routes for pages
            Route::get('theme-styles/', 'StylesPublicController@index');
            Route::get('theme-styles/{slug?}', 'StylesPublicController@show');
        }
    );
}

